Mercurial > trustbridge
view packaging/linux-installer.inc.in @ 699:f12b102b33ca
Merged
author | Sascha Wilde <wilde@intevation.de> |
---|---|
date | Tue, 01 Jul 2014 17:22:31 +0200 |
parents | b55d49150e36 |
children | bf87feccb26c |
line wrap: on
line source
#!/bin/bash ME=`basename "$0"` VERSION='@PROJECT_VERSION@' DEFAULT_PREFIX=/usr/local path="" version() { cat <<EOF TrustBridge $VERSION Installer Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik Software engineering by Intevation GmbH This is free software. You may redistribute copies of it under the terms of the GNU GPL (v>=2). See LICENSE.txt for details. There is NO WARRANTY, to the extent permitted by law. EOF exit 0 } fatal() { echo "$1" >&2 echo "Installation failed." >&2 exit 1 } usage() { cat <<EOF Usage: $ME [OPTION]... Install TrustBridge. Options: -p, --prefix=PATH install files in PATH --help display this help and exit --version output version information and exit EOF exit $1 } parse_args() { OPTS=`getopt \ -l help,prefix:,version \ -o p: -n "$ME" -- "$@"` [ $? -eq 0 ] || usage 23 eval set -- "$OPTS" while true ; do case "$1" in --prefix|-p) path="$2" shift 2 ;; --help) usage 0 ;; --version) version ;; --) shift break ;; esac done } #====================================================================== # main() parse_args "$@" cat <<EOF ------------------------------------------------------------------------ TrustBridge - Installer Version $VERSION ------------------------------------------------------------------------ EOF if [ -z "$path" ] ; then echo -n "Select installation prefix for TrustBridge [${DEFAULT_PREFIX}]: " read -e path [ -z "$path" ] && path="${DEFAULT_PREFIX}" fi echo "Installing to '$path':" if [ ! -d "$path" ] ; then echo "creating installation directory ..." install -d "$path" || fatal "Could not create '$path'!" fi echo "unpacking files ..." cd "$path" # ---------------------------------------------------------------------- # regular shar archive appended here: